using LitJson;
using Wizard;

public class UserTutorial : HeaderData
{
	public const int TUTORIAL_STEP0 = 1;

	public const int TUTORIAL_STEP1 = 11;

	public const int TUTORIAL_STEP2 = 21;

	public const int TUTORIAL_STEP_RECEIVE_GIFT = 31;

	public const int TUTORIAL_STEP_BUY_CARD_PACK = 41;

	public const int TUTORIAL_END = 100;

	public int tutorial_step;

	public int tutorial_replay_step;

	public string create_time;

	public string update_time;

	public string delete_time;

	public string affected_rows;

	public const int PRE_TUTORIAL_STEP = 0;

	public const int ENTER_USER_ID_ACTION_NUMBER = 1;

	public const int CLEARED_PROLOGUE_ACTION_NUMBER = 2;

	public bool NeedAllResource => tutorial_step >= 31;

	public int TutorialStep
	{
		get
		{
			if ((tutorial_step == 31 || tutorial_step == 41) && Data.MaintenanceCodeList != null)
			{
				bool num = Data.MaintenanceCodeList.Contains(NetworkDefine.MAINTENANCE_TYPE.GIFT_MAINTENANCE);
				bool flag = Data.MaintenanceCodeList.Contains(NetworkDefine.MAINTENANCE_TYPE.SHOP_CARDPACK_MAINTENANCE);
				if (num || flag)
				{
					tutorial_step = 100;
				}
			}
			return tutorial_step;
		}
		set
		{
			tutorial_step = value;
		}
	}

	public void Update(JsonData data)
	{
		if (data.Keys.Contains("tutorial_step"))
		{
			tutorial_step = data["tutorial_step"].ToInt();
		}
	}
}
